#
# spec file for package kmrml (Version 0.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gift gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext gift glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  -b "gift" --kde2
Name:         kmrml
Copyright:    GPL
Group:        X11/KDE/Graphics
Summary:      konqueror plugin for searching pictures
Version:      0.2.1
Release:      95
Source0:      kmrml-0.2.1.tar.bz2
Patch0: kmrml-0.2.1.dif

%description
MRML is short for Multimedia Retrieval Markup Language,
which defines a protocol for querying a server for images
based on their content. See http://www.mrml.net about MRML
and the GNU Image Finding Tool (GIFT), an MRML server.

This package consists of an mrml kio-slave that handles
the communication with the MRML server and a KPart to
be embedded e.g. into Konqueror.

Authors:
--------
    Carsten Pfeiffer <pfeiffer@kde.org>

SuSE series: k2de

%prep
%setup -n kmrml-0.2.1
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc TODO README VERSION AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/apps/konqueror
%dir /opt/kde2/share/apps/konqueror/servicemenus
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/mrmlsearch
/opt/kde2/lib/kde2/kio_mrml.la
/opt/kde2/lib/kde2/kio_mrml.so
/opt/kde2/lib/kde2/mrmlpart.la
/opt/kde2/lib/kde2/mrmlpart.so
/opt/kde2/lib/mrmlsearch.la
/opt/kde2/lib/mrmlsearch.so
/opt/kde2/share/apps/konqueror/servicemenus/mrml-servicemenu.desktop
/opt/kde2/share/locale/de/LC_MESSAGES/kmrml.mo
/opt/kde2/share/mimelnk/text/mrml.desktop
/opt/kde2/share/services/mrml.protocol
/opt/kde2/share/services/mrml_part.desktop

%changelog -n kmrml
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 13 2001 - ro@suse.de
- added kdelibs-artsd to neededforbuild
* Wed Aug 01 2001 - adrian@suse.de
- Spec file created from kmrml-0.2.1.tar.bz2 by autospec
